## tree-puzzle 5.2

=== debian/changelog ===
tree-puzzle (5.2-7ubuntu1) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 22 Dec 2013 14:35:46 -0500

tree-puzzle (5.2-7build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 14 Dec 2013 23:09:49 -0500

tree-puzzle (5.2-7) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.2 (no changes needed)
    - Fixed Vcs fields
    - Do not Build-Depend cdbs, quilt any more
  * Debhelper 8 (control + compat)
  * debian/source/format: 3.0 (quilt)
  * debian/rules: short dh
  * removed debian/README.source which becomes superfluous by using
    source format 3.0 (quilt)
  * debian/*.docs: Leave AUTHOR+README in the binary packages
  * Use Debian menu instead of desktop files to not confuse Gnome users
    Closes: #640003

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2011 08:40:41 +0100

tree-puzzle (5.2-6) unstable; urgency=low

  * Try to build against libopenmpi-dev instead of lam4-dev
  * Standards-Version: 3.8.3 (added debian/README.source)
  * Debhelper 7
  * debian/rules: remove some outdated comments

 -- Andreas Tille <tille@debian.org>  Tue, 10 Nov 2009 07:49:48 +0100

tree-puzzle (5.2-5) unstable; urgency=low

  * Standards-Version: 3.8.1 (no changes needed)
  * Build against Debian's libsprng2-dev instead of a private copy
    of an outdated sprng
    Closes: #489678
  * Build-Depends quilt instead of patchutils
  * No versioned Build-Depends of debhelper
  * tree-ppuzzle: Depends: lam-runtime

 -- Andreas Tille <tille@debian.org>  Tue, 31 Mar 2009 11:37:54 +0200

tree-puzzle (5.2-4) unstable; urgency=low

  * Changed the doc-base section according to the new policy.
  * debian/control:
    - Added myself to the `Uploaders' field.
    - Using debhelper 5.
    - Removed version inforation when the condition is satisfied even in
      oldsable (Sarge).
    - Checked conformance with Policy 3.8.0 (no changes needed).
  * debian/rules: include /usr/share/cdbs/1/class/autotools.mk.
  * debian/patches removed as their function is provided by CDBS.

 -- Charles Plessy <plessy@debian.org>  Mon, 07 Jul 2008 13:02:03 +0900

tree-puzzle (5.2-3) unstable; urgency=low

  * Group maintenance according to Debian-Med group policy
  * Do not auto generate debian/control
  * Standards-Version: 3.7.3 (no changes needed)
  * Removed XB-Tag which is not used
  * Moved Homepage tag from description to control tags
  * Removed [Biology] from short description
  * Moved tree-puzzle-doc to section doc
  * Added watch file
  * debian/copyright: added Copyright statement

 -- Andreas Tille <tille@debian.org>  Sun, 02 Mar 2008 22:21:44 +0100

tree-puzzle (5.2-2) unstable; urgency=low

  * Standards-Version: 3.7.2 (no changes necessary)
  * Switched to cdbs
  * Desktop file
  * DebTags
  * Build-Depends: lam4-dev  to enable building parallelized version
  * Split into two binary packages (normal and parallelized) version
    and extra documentation package.
  * Removed {Provides,Replaces,Conflicts}: puzzle because there is
    no such package in the thre previous releases an it causes trouble
    if both versions should be installed

 -- Andreas Tille <tille@debian.org>  Sun, 10 Sep 2006 18:13:50 +0200

tree-puzzle (5.2-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 15 Jul 2004 08:23:28 +0200

tree-puzzle (5.1-1) unstable; urgency=low

  * New upstream version
  * Standards: 3.6.1
  * Enhanced use of debhelper scripts

 -- Andreas Tille <tille@debian.org>  Wed, 14 Jul 2004 10:03:31 +0200

tree-puzzle (5.0-4) unstable; urgency=low

  * The "I'm against war" release
    Mankind must put an end to war before war puts an end to mankind.
        -- John F. Kennedy
  * Standards-Version: 3.5.9
  * Use debian/compat for debhelper compatibility
  * Added documentation to doc-base
  * Use dh_installman instead of dh_installmanpages

 -- Andreas Tille <tille@debian.org>  Sat, 26 Apr 2003 15:24:49 +0200

tree-puzzle (5.0-3) unstable; urgency=low

  * New Maintainer
    closes: #100265
  * Standards-Version: 3.5.6
  * Added URL to the package description because I consider this as
    "good style" to have an upstream link without installing the package.
  * Provides: puzzle

 -- Andreas Tille <tille@debian.org>  Mon,  5 Nov 2001 11:00:04 +0100

tree-puzzle (5.0-2) unstable; urgency=low

  * Maintainer set to Debian QA Group <packages@qa.debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 24 Aug 2001 23:49:12 +0200

tree-puzzle (5.0-1) unstable; urgency=low

  * Initial Release (replaces puzzle).
  * Wrote a manpage.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Sun,  6 May 2001 12:02:07 +0200
