=== debian/control ===
Source: tree-puzzle
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andreas Tille <tille@debian.org>, Charles Plessy <plessy@debian.org>
Build-Depends: autotools-dev, debhelper (>=8), libopenmpi-dev, libsprng2-dev
Standards-Version: 3.9.2
Homepage: http://www.tree-puzzle.de
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/tree-puzzle/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/tree-puzzle/trunk/

Package: tree-puzzle
Architecture: any
Depends:  ${misc:Depends}, ${shlibs:Depends}
Recommends: tree-puzzle-doc
Suggests: phylip, treetool
Description: Reconstruction of phylogenetic trees by maximum likelihood
 TREE-PUZZLE (the new name for PUZZLE) is an interactive console program that
 implements a fast tree search algorithm, quartet puzzling, that allows
 analysis of large data sets and automatically assigns estimations of support
 to each internal branch. TREE-PUZZLE also computes pairwise maximum
 likelihood distances as well as branch lengths for user specified trees.
 Branch lengths can also be calculated under the clock-assumption. In
 addition, TREE-PUZZLE offers a novel method, likelihood mapping, to
 investigate the support of a hypothesized internal branch without
 computing an overall tree and to visualize the phylogenetic content of
 a sequence alignment.

Package: tree-ppuzzle
Architecture: any
Recommends: tree-puzzle-doc
Depends:  ${misc:Depends}, ${shlibs:Depends}, openmpi-bin
Suggests: phylip, treetool
Description: Parallelized reconstruction of phylogenetic trees by maximum likelihood
 TREE-PUZZLE (the new name for PUZZLE) is an interactive console program that
 implements a fast tree search algorithm, quartet puzzling, that allows
 analysis of large data sets and automatically assigns estimations of support
 to each internal branch. TREE-PUZZLE also computes pairwise maximum
 likelihood distances as well as branch lengths for user specified trees.
 Branch lengths can also be calculated under the clock-assumption. In
 addition, TREE-PUZZLE offers a novel method, likelihood mapping, to
 investigate the support of a hypothesized internal branch without
 computing an overall tree and to visualize the phylogenetic content of
 a sequence alignment.
 .
 This is the parallelized version of tree-puzzle.

Package: tree-puzzle-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, 
Recommends: tree-puzzle | tree-ppuzzle
Description: Reconstruction of phylogenetic trees by maximum likelihood
 TREE-PUZZLE (the new name for PUZZLE) is an interactive console program that
 implements a fast tree search algorithm, quartet puzzling, that allows
 analysis of large data sets and automatically assigns estimations of support
 to each internal branch. TREE-PUZZLE also computes pairwise maximum
 likelihood distances as well as branch lengths for user specified trees.
 Branch lengths can also be calculated under the clock-assumption. In
 addition, TREE-PUZZLE offers a novel method, likelihood mapping, to
 investigate the support of a hypothesized internal branch without
 computing an overall tree and to visualize the phylogenetic content of
 a sequence alignment.
 .
 This is the documentation package for tree-puzzle
