=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for tree-puzzle using dh
# Andreas Tille <tille@debian.org>, GPL

pkg:=tree-puzzle
ppkg:=tree-ppuzzle

%:
	dh $@ --with autotools-dev

override_dh_compress:
	dh_compress --exclude=.pdf --exclude .phy --exclude trees --exclude .b

override_dh_install:
	dh_install
	# The binary has to be renamed because of the generic name
	mv `pwd`/debian/tmp/usr/bin/puzzle `pwd`/debian/$(pkg)/usr/bin/$(pkg)
	mv `pwd`/debian/tmp/usr/bin/ppuzzle `pwd`/debian/$(ppkg)/usr/bin/$(ppkg)

override_dh_auto_test:
	# do not run check
