=== debian/watch ===
version=3
http://www.tree-puzzle.de/tree-puzzle-([.0-9]*)\.tar\.gz
