## tree-puzzle 5.3~rc16%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: tree-puzzle
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Charles Plessy <plessy@debian.org>
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Andreas Tille <tille@debian.org>, Charles Plessy <plessy@debian.org>
-Build-Depends: autotools-dev, debhelper (>=8), libopenmpi-dev, libsprng2-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper-compat (= 13),
+               libopenmpi-dev,
+               libsprng2-dev
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/med-team/tree-puzzle
+Vcs-Git: https://salsa.debian.org/med-team/tree-puzzle.git
 Homepage: http://www.tree-puzzle.de
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/tree-puzzle/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/tree-puzzle/trunk/
+Rules-Requires-Root: no
 
 Package: tree-puzzle
 Architecture: any
-Depends:  ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: tree-puzzle-doc
-Suggests: phylip, treetool
+Suggests: phylip,
+          treetool
 Description: Reconstruction of phylogenetic trees by maximum likelihood
  TREE-PUZZLE (the new name for PUZZLE) is an interactive console program that
  implements a fast tree search algorithm, quartet puzzling, that allows
@@ -30,9 +34,12 @@
 
 Package: tree-ppuzzle
 Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         openmpi-bin
 Recommends: tree-puzzle-doc
-Depends:  ${misc:Depends}, ${shlibs:Depends}, openmpi-bin
-Suggests: phylip, treetool
+Suggests: phylip,
+          treetool
 Description: Parallelized reconstruction of phylogenetic trees by maximum likelihood
  TREE-PUZZLE (the new name for PUZZLE) is an interactive console program that
  implements a fast tree search algorithm, quartet puzzling, that allows
@@ -50,9 +57,10 @@
 Package: tree-puzzle-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, 
+Depends: ${misc:Depends}
 Recommends: tree-puzzle | tree-ppuzzle
-Description: Reconstruction of phylogenetic trees by maximum likelihood
+Multi-Arch: foreign
+Description: Reconstruction of phylogenetic trees by maximum likelihood (doc)
  TREE-PUZZLE (the new name for PUZZLE) is an interactive console program that
  implements a fast tree search algorithm, quartet puzzling, that allows
  analysis of large data sets and automatically assigns estimations of support
