## tree-puzzle 5.3~rc16+dfsg

=== debian/changelog ===
tree-puzzle (5.3~rc16+dfsg-14) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: uses mpicc
    Closes: #1106704
  * Build-Depends: pkgconf

 -- Andreas Tille <tille@debian.org>  Mon, 08 Dec 2025 12:42:19 +0100

tree-puzzle (5.3~rc16+dfsg-13) unstable; urgency=medium

  [ Chris Lamb ]
  * Make the build reproducible
    Closes: #1108273

  [ Andreas Tille ]
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 07 Dec 2025 21:40:45 +0100

tree-puzzle (5.3~rc16+dfsg-12) unstable; urgency=medium

  * Team upload.
  * preserve-artifacts.patch: new: restore some test artifacts.
    This is necessary to bring autopkgtest support back into working
    conditions.
  * d/control: migrate to mpi-default-*. (Closes: #1086907)
  * d/patches/*: normalize Last-Update timestamp.
  * Patch fix-conftest.c renamed fix-conftest.patch.
    This unconfuses syntax highlighting, and file name.

 -- Étienne Mollier <emollier@debian.org>  Sat, 09 Nov 2024 18:44:04 +0100

tree-puzzle (5.3~rc16+dfsg-11) unstable; urgency=medium

  * Don't install output generated by tests because of nondeterminism.
    Thanks, Chris Lamb.  Closes: #1082806

 -- Charles Plessy <plessy@debian.org>  Fri, 27 Sep 2024 15:46:29 +0900

tree-puzzle (5.3~rc16+dfsg-10) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Use /usr/share/dpkg/architecture.mk in debian/rules to make sure to have
    the $DEB_HOST_* variables.
  * Add -ffloat-store to the CFLAGS also on non-Linux i386 architectures, as
    the problems are the same as on Linux i386.

  [ Étienne Mollier ]
  * fix-conftest.c: new: fix failure to detect mpicc with gcc-14.
    (Closes: #1075584)
  * d/s/lintian-overrides: fix mismatched override.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Tue, 10 Sep 2024 21:20:32 +0200

tree-puzzle (5.3~rc16+dfsg-9) unstable; urgency=medium

  [ Chris Lamb ]
  * make the build reproducible on i386
    Closes: #1005901

  [ Andreas Tille ]
  * Fix typo override_dh_build
  * Lintian-override for *.a data files
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Apply multi-arch hints.
    + tree-puzzle-doc: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 07:12:29 +0100

tree-puzzle (5.3~rc16+dfsg-8) unstable; urgency=high

  * Team Upload.
  * Remove faulty ut-pure-prot.test
    from autopkgtests
  * debian/rules cleanup for arch:all

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 08 Feb 2021 15:03:13 +0530

tree-puzzle (5.3~rc16+dfsg-7) unstable; urgency=high

  * Team upload.
  * Set urgency to high for bullseye migration

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 08 Feb 2021 01:11:51 +0530

tree-puzzle (5.3~rc16+dfsg-6) unstable; urgency=medium

  * Team Upload.
  * Add failsafe for ut-pure-prot.test since now
    it mysteriously starts failing on amd64
  * Bump standards version to 4.5.1

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 08 Feb 2021 00:38:34 +0530

tree-puzzle (5.3~rc16+dfsg-5) unstable; urgency=high

  * Team Upload.
  * Skip ut-pure-prot.test for !amd64 due to
    rounding errors
  * Use --ffloat-store for i386 to fix float
    point precision errors
  * Use dh_missing --list-missing to avoid failure
    on files present in d/tmp in arch:all build
  * Urgency is set to high for bullseye migration

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 07 Feb 2021 21:32:26 +0530

tree-puzzle (5.3~rc16+dfsg-4) unstable; urgency=medium

  * Fix build for arch-all.
    Closes: #962742
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 29 Sep 2020 11:10:48 +0200

tree-puzzle (5.3~rc16+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Update changelog to fix a bug
  * Reduce decimals for testing (Closes: #960760)

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Thu, 11 Jun 2020 05:21:30 +0530

tree-puzzle (5.3~rc16+dfsg-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Make the build reproducible
    Closes: #960667

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Mon, 08 Jun 2020 03:27:14 +0530

tree-puzzle (5.3~rc16+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream pre-release
  * Install test suite into examples package
  * Remove code copy of sprng from source package
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix permissions

  [ Alberto Garcia ]
  * debian/patches/fix-mpi3-build.patch:
    - Fix FTBFS due to the new MPI-3.0 API (Closes: #951984).

  [ Pranav Ballaney ]
  * Patch check-* files for tests (Closes: #806214)
  * Enable build time tests
  * Add autopkgtests (Closes: #890790)

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Thu, 14 May 2020 03:47:56 +0530

tree-puzzle (5.2-11) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Fix some spelling issues

 -- Andreas Tille <tille@debian.org>  Tue, 16 Oct 2018 11:06:43 +0200

tree-puzzle (5.2-10) unstable; urgency=medium

  * Do not try parallel builds
    Closes: #878333

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2017 07:48:35 +0200

tree-puzzle (5.2-9) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * debhelper 10
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sat, 07 Oct 2017 22:57:10 +0200

tree-puzzle (5.2-8) unstable; urgency=low

  * debian/upstream: Add publications
  * cme fix dpkg-control
  * debhelper 9
  * fix clean target when running test suite
  * Use dh_autoreconf to update for new architectures
    Closes: #765262
  * Try hard to run the test suite

