=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libopenmpi-dev,
-               libsprng2-dev
-Standards-Version: 4.6.0
+               mpi-default-dev,
+               libsprng2-dev,
+               pkgconf
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/tree-puzzle
 Vcs-Git: https://salsa.debian.org/med-team/tree-puzzle.git
 Homepage: http://www.tree-puzzle.de
@@ -36,7 +37,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         openmpi-bin
+         mpi-default-bin
 Recommends: tree-puzzle-doc
 Suggests: phylip,
           treetool
