=== debian/watch ===
Version: 5

Source: http://www.tree-puzzle.de/
Matching-Pattern: @PACKAGE@-([.0-9rc]+)@ARCHIVE_EXT@
Repack-Suffix: +dfsg
Dversion-Mangle: auto
Uversion-Mangle: s/\.rc/~rc/
